com.corticon.rulesemf.ast

## Interface LogicalExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface LogicalExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Logical Expression'.

  The following features are supported:

  - `Type`
  - `Logical Sub Expression List`
  - `Relational Expression`
  See Also:
    `AstPackage.getLogicalExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getLogicalSubExpressionList()` Returns the value of the 'Logical Sub Expression List' containment reference list.
    `RelationalExpression` | `getRelationalExpression()` Returns the value of the 'Relational Expression' containment reference
    `java.lang.String` | `getType()` Returns the value of the 'Type' attribute
    `void` | `setRelationalExpression(RelationalExpression value)` Sets the value of the '`Relational Expression`' containment reference
    `void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

      Returns the value of the 'Type' attribute.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `setType(String)`, `AstPackage.getLogicalExpression_Type()`

    - #### setType

          void setType(java.lang.String value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `getType()`

    - #### getLogicalSubExpressionList

          org.eclipse.emf.common.util.EList getLogicalSubExpressionList()

      Returns the value of the 'Logical Sub Expression List' containment reference list. The list contents are of type `LogicalSubExpression`.

      If the meaning of the 'Logical Sub Expression List' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Logical Sub Expression List' containment reference list.
      See Also:
        `AstPackage.getLogicalExpression_LogicalSubExpressionList()`

    - #### getRelationalExpression

          RelationalExpression getRelationalExpression()

      Returns the value of the 'Relational Expression' containment reference.

      If the meaning of the 'Relational Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Relational Expression' containment reference.
      See Also:
        `setRelationalExpression(RelationalExpression)`, `AstPackage.getLogicalExpression_RelationalExpression()`

    - #### setRelationalExpression

          void setRelationalExpression(RelationalExpression value)

      Sets the value of the '`Relational Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Relational Expression' containment reference.
      See Also:
        `getRelationalExpression()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.